package com.ruoyi.custclient.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;

/**
 * 客户信息对象 cust_info
 * 
 * @author wuyufei
 * @date 2024-10-21
 */
public class CustInfo
{
    private static final long serialVersionUID = 1L;

    /** 客户ID */
    private Long custId;

    /** 客户姓名 */
    @Excel(name = "客户姓名")
    private String name;

    /** 客户电话 */
    @Excel(name = "客户电话")
    private String phone;

    /** 客户出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "客户出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthDate;

    /** 所在地区 */
    @Excel(name = "所在地区")
    private String address;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailedAddress;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 客户来源：1-系统导入 2-微信添加 3-其他 */
    @Excel(name = "客户来源：1-系统导入 2-微信添加 3-其他")
    private Long source;

    /** 客户类型：1-企业微信用户 2-微信用户 */
    @Excel(name = "客户类型：1-企业微信用户 2-微信用户")
    private Long type;

    /** 客户状态：0-存在 1-删除 */
    @TableLogic
    @Excel(name = "客户状态：0-存在 1-删除")
    private Long state;

    /** 成为客户时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "成为客户时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date becomeCustTime;

    /** 客户对应负责人ID */
    @Excel(name = "客户对应负责人ID")
    private Long superintendentId;

    /** 客户信息创建人 */
    private Long createId;

    /** 客户信息修改人 */
    private Long modifyId;

    /** 修改时间 */
    private Date modifyTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    public void setCustId(Long custId) 
    {
        this.custId = custId;
    }

    public Long getCustId() 
    {
        return custId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setBirthDate(Date birthDate) 
    {
        this.birthDate = birthDate;
    }

    public Date getBirthDate() 
    {
        return birthDate;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setDetailedAddress(String detailedAddress) 
    {
        this.detailedAddress = detailedAddress;
    }

    public String getDetailedAddress() 
    {
        return detailedAddress;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setSource(Long source) 
    {
        this.source = source;
    }

    public Long getSource() 
    {
        return source;
    }
    public void setType(Long type) 
    {
        this.type = type;
    }

    public Long getType() 
    {
        return type;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setBecomeCustTime(Date becomeCustTime) 
    {
        this.becomeCustTime = becomeCustTime;
    }

    public Date getBecomeCustTime() 
    {
        return becomeCustTime;
    }
    public void setSuperintendentId(Long superintendentId) 
    {
        this.superintendentId = superintendentId;
    }

    public Long getSuperintendentId() 
    {
        return superintendentId;
    }
    public void setCreateId(Long createId) 
    {
        this.createId = createId;
    }

    public Long getCreateId() 
    {
        return createId;
    }
    public void setModifyId(Long modifyId) 
    {
        this.modifyId = modifyId;
    }

    public Long getModifyId() 
    {
        return modifyId;
    }
    public void setModifyTime(Date modifyTime) 
    {
        this.modifyTime = modifyTime;
    }

    public Date getModifyTime() 
    {
        return modifyTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("custId", getCustId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("birthDate", getBirthDate())
            .append("address", getAddress())
            .append("detailedAddress", getDetailedAddress())
            .append("remarks", getRemarks())
            .append("source", getSource())
            .append("type", getType())
            .append("state", getState())
            .append("becomeCustTime", getBecomeCustTime())
            .append("superintendentId", getSuperintendentId())
            .append("createId", getCreateId())
            .append("createTime", getCreateTime())
            .append("modifyId", getModifyId())
            .append("modifyTime", getModifyTime())
            .toString();
    }
}
